/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Savepoint;
import java.sql.Statement;
import java.util.Map;

/**
 *      @author Toshio Sugahara
 */
public class StubDataSourceImplConnection
        implements Connection {

    public int getHoldability() throws SQLException {
        return 0;
    }

    public int getTransactionIsolation() throws SQLException {
        return 0;
    }

    public void clearWarnings() throws SQLException {
        
    }

    public void close() throws SQLException { 
    }

    public void commit() throws SQLException {
    }

    public void rollback() throws SQLException {
    }

    public boolean getAutoCommit() throws SQLException {
        return false;
    }

    public boolean isClosed() throws SQLException {
        return false;
    }

    public boolean isReadOnly() throws SQLException {
        return false;
    }

    public void setHoldability(int arg0) throws SQLException {
    }

    public void setTransactionIsolation(int arg0) throws SQLException {
    }

    public void setAutoCommit(boolean arg0) throws SQLException {
    }

    public void setReadOnly(boolean arg0) throws SQLException {
    }

    public String getCatalog() throws SQLException {
        return null;
    }

    public void setCatalog(String arg0) throws SQLException {
    }

    public DatabaseMetaData getMetaData() throws SQLException {
        return null;
    }

    public SQLWarning getWarnings() throws SQLException {
        return null;
    }

    public Savepoint setSavepoint() throws SQLException {
        return null;
    }

    public void releaseSavepoint(Savepoint arg0) throws SQLException {
        
    }

    public void rollback(Savepoint arg0) throws SQLException {
        
    }

    public Statement createStatement() throws SQLException {
        return null;
    }

    public Statement createStatement(int arg0, int arg1) throws SQLException {
        return null;
    }

    public Statement createStatement(int arg0, int arg1, int arg2) throws SQLException {
        return null;
    }

    public Map getTypeMap() throws SQLException {
        return null;
    }

    public void setTypeMap(Map arg0) throws SQLException {
    }

    public String nativeSQL(String arg0) throws SQLException {
        return null;
    }

    public CallableStatement prepareCall(String arg0) throws SQLException {
        return null;
    }

    public CallableStatement prepareCall(String arg0, int arg1, int arg2) throws SQLException {
        return null;
    }

    public CallableStatement prepareCall(String arg0, int arg1, int arg2, int arg3) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0, int arg1) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0, int arg1, int arg2) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0, int arg1, int arg2, int arg3) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0, int[] arg1) throws SQLException {
        return null;
    }

    public Savepoint setSavepoint(String arg0) throws SQLException {
        return null;
    }

    public PreparedStatement prepareStatement(String arg0, String[] arg1) throws SQLException {
        return null;
    }
}
